Subject: bug#44020: 28.0.50; Prefer selection of colour emoji fonts?

From: Robert Pluim <[email-masked]>
Date: Mon, 19 Oct 2020 21:11:10 +0200

>>>>> On Sat, 17 Oct 2020 09:44:44 +0300, Eli Zaretskii <[email-masked]> said:

    >> Date: Fri, 16 Oct 2020 20:30:41 +0100
    >> From: Alan Third <[email-masked]>
    >> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
    >> 
    >> On Fri, Oct 16, 2020 at 12:38:18PM +0200, Robert Pluim wrote:
    >> > >>>>> On Fri, 16 Oct 2020 13:26:42 +0300, Eli Zaretskii <[email-masked]> said:
    >> > 
    >> >     Eli> Also, Noto Color Emoji has a free license, so it's okay for it to be
    >> >     Eli> in fontset.el, but it is not clear to me whether Apple Color Emoji is
    >> >     Eli> distributed under a free license.
    >> > 
    >> > Itʼs marked 'Copyright Apple 2011-2016' in the macOS font
    >> > selector. And Apple appear to be both sensitive and litigious about
    >> > it, so probably best not to promote it.
    >> 
    >> On the other hand it comes preinstalled, it only works on Apple
    >> devices, and Noto Color Emoji doesn't work on Apple devices. I'm not
    >> sure we'd really be "promoting" it.
    >> 
    >> IIRC Windows comes with Segoe UI Emoji preinstalled too.

    Eli> Both are true, but AFAIK our policy until now was not to mention such
    Eli> fonts in fontset.el.

    Eli> Emoji is just one example, btw.  At least for MS-Windows, the latest
    Eli> versions come with many good fonts that cover most of the scripts.  So
    Eli> if the restriction to avoid mentioning proprietary fonts in fontset.el
    Eli> could be lifted, we could produce a very capable and complete fontset
    Eli> for MS-Windows.  I wouldn't be surprised if the same situation didn't
    Eli> exist on macOS.  Not sure how things are on GNU/Linux, and what are
    Eli> the differences between the distros in this respect.

Another thing that could be useful on GNU/Linux is to take advantage
of the fact that most of them go out of their way to define
pseudo-families for particular uses, such as 'emoji' or 'math', which
then automatically adjust to the fonts installed on the system:

$ fc-match 'emoji'
NotoColorEmoji.ttf: "Noto Color Emoji" "Regular"
:~

If I were to uninstall Noto Color Emoji, the same command would now
return "Emoji One"

Robert
--